<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net10.0</TargetFramework>
    <RootNamespace>e_suite.MessageProcessor</RootNamespace>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="appsettings.Development.json" />
    <None Remove="appsettings.json" />
    <None Remove="appsettings.Production.json" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="appsettings.Production.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="appsettings.Development.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="10.0.0" />
    <PackageReference Include="CommunityToolkit.HighPerformance" Version="8.4.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\e-suite.API.Common\e-suite.API.Common\e-suite.API.Common.csproj" />
    <ProjectReference Include="..\..\e-suite.Database.Audit\e-suite.Database.Audit\e-suite.Database.Audit.csproj" />
    <ProjectReference Include="..\..\e-suite.Database.SqlServer\e-suite.Database.SqlServer\e-suite.Database.SqlServer.csproj" />
    <ProjectReference Include="..\..\e-suite.DependencyInjection\e-suite.DependencyInjection.csproj" />
    <ProjectReference Include="..\..\e-suite.Messaging.Common\e-suite.Messaging.Common\e-suite.Messaging.Common.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.CustomFieldsManager\e-suite.Modules.CustomFieldsManager\e-suite.Modules.CustomFieldsManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.DomainManager\e-suite.Modules.DomainManager\e-suite.Modules.DomainManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.ExceptionLogManager\e-suite.Modules.ExceptionLogManager\e-suite.Modules.ExceptionLogManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.FormsManager\e-suite.Modules.FormsManager\e-suite.Modules.FormsManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.GlossariesManager\e-suite.Modules.GlossariesManager\e-suite.Modules.GlossariesManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.OrganisationManager\e-Suite.Modules.OrganisationsManager\e-suite.Modules.OrganisationsManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.SequenceManager\e-Suite.Modules.SequenceManager\e-suite.Modules.SequenceManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.SiteManager\e-suite.Modules.SiteManager\e-suite.Modules.SiteManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.SpecificationManager\e-suite.Modules.SpecificationManager\e-suite.Modules.SpecificationManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.SSOManager\e-suite.Modules.SSOManager\e-suite.Modules.SSOManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.UserManager\e-suite.Modules.UserManager\e-suite.Modules.UserManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Service.CustomFieldValidation\e-suite.Service.CustomFieldValidation\e-suite.Service.CustomFieldValidation.csproj" />
    <ProjectReference Include="..\..\e-suite.Service.EFlowSync\e-suite.Service.EFlowSync\e-suite.Service.EFlowSync.csproj" />
    <ProjectReference Include="..\..\e-suite.Service.Performance\e-suite.Service.Performance\e-suite.Service.Performance.csproj" />
    <ProjectReference Include="..\..\e-suite.Service.Sentinel\e-suite.Service.Sentinel\e-suite.Service.Sentinel.csproj" />
    <ProjectReference Include="..\..\e-suite.Service.SigmaImporter\e-suite.Service.SigmaImporter\e-suite.Service.SigmaImporter.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Dockerfile.Azure">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
